MongoDb deployment issue

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

MongoDb deployment issue

vaddineni
When deploying Spring-Mongodb

mvn:org.springframework.data/spring-data-mongodb/1.2.0.RELEASE

Which has an internal reference to <bundle>http://repo1.maven.org/maven2/com/mysema/codegen/codegen/0.5.9/codegen-0.5.9.jar </bundle>

This in turn refers to <bundle start-level="80" start="true">mvn:org.eclipse.jdt.core.compiler/ecj/4.2.1</bundle>

But for some reason karaf give the following error:
Error executing command: Could not start bundle http://repo1.maven.org/maven2/com/mysema/codegen/codegen/0.5.9/codegen-0.5.9.jar in feature(s) codegen_wrap-1.0, codegen_wrap1-1.0: Unresolved constraint in bundle com.mysema.codegen [60]: Unable to resolve 60.0: missing requirement [60.0] osgi.wiring.package; (&osgi.wiring.package=org.eclipse.jdt.core.compiler)(version>=3.7.2))

When I do the list on Karaf I see this bundle deployed
[  54] [Active     ] [            ] [   80] Eclipse Compiler for Java(TM) (3.8.2.v20130121-145325)

NOT SURE what am I doing wrong, I have all bundle references, but it is throwing this error..

Any help is appreciated.


Loading...